## xfonts-efont-unicode 0.4.2

=== debian/changelog ===
xfonts-efont-unicode (0.4.2-8) unstable; urgency=medium

  * debian/rules
    - enable --parallel build
  * debian/compat
    - set 9
  * debian/control
    - set Build-Depends: debhelper (>=9) 
  * debian/patches
    - add 0001-fix-package-contains-timestamped-gzip-warning.patch

 -- Hideki Yamane <henrich@debian.org>  Sun, 09 Aug 2015 21:08:54 +0900

xfonts-efont-unicode (0.4.2-7) unstable; urgency=medium

  * debian/copyright
    - fix typo, thanks to Mikko Viinamäki <t8mf4nu6lizp@canaglie.net>
      (Closes: #776017) 
  * debian/control
    - update Standards-Version: 3.9.6
    - update Vcs-Browser

 -- Hideki Yamane <henrich@debian.org>  Sat, 24 Jan 2015 21:11:57 +0900

xfonts-efont-unicode (0.4.2-6) unstable; urgency=medium

  * debian/control
    - set Maintainer as pkg-devel-fonts team and Uploaders as me 
    - add Vcs-*
    - set Standards-Version: 3.9.5

 -- Hideki Yamane <henrich@debian.org>  Thu, 02 Jan 2014 18:31:37 +0900

xfonts-efont-unicode (0.4.2-5) unstable; urgency=low

  * debian/copyright
    - set Format: as
      http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/ 
  * debian/rules
    - compress with xz
  * debian/control
    - set "Standards-Version: 3.9.3"
    - add "Pre-Depends: dpkg (>= 1.15.6~)"
    - fix "debian-control-has-unusual-field-spacing"

 -- Hideki Yamane <henrich@debian.org>  Mon, 04 Jun 2012 18:51:26 +0900

xfonts-efont-unicode (0.4.2-4) unstable; urgency=low

  * debian/control
    - update email address
    - remove DM line
    - set Standards-Version: 3.9.2 
  * debian/copyright
    - update copyright information
    - use DEP5 style
    - fix "helper-templates-in-copyright" lintian error

 -- Hideki Yamane <henrich@debian.org>  Sun, 09 Oct 2011 19:52:31 +0900

xfonts-efont-unicode (0.4.2-3) unstable; urgency=low

  * debian/rules
    - move install rules to $package.install files
  * debian/*.dirs
    - remove to fix postrm errors 
  * debian/*.install
    - install fonts.alias files to /etc/X11/fonts/misc 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 02 Jan 2010 12:29:33 +0900

xfonts-efont-unicode (0.4.2-2) unstable; urgency=low

  * add fonts.alias files.
  * add "Suggests: xfs | xserver", again.
  * move from "Suggests: xfonts-efont-unicode-ib" to "Recommends:" and 
    xfonts-efont-unicode as well.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Wed, 30 Dec 2009 11:19:26 +0900

xfonts-efont-unicode (0.4.2-1) unstable; urgency=low

  * New upstream release (Closes: #357165)
  * debian/control:
    - Standards-Version: 3.8.3 
    - add myself to take over with previous maintainer's permission. 
      Thanks! kmuto
    - add "DM-Upload-Allowed: yes"
    - move section from x11 to fonts
    - drop "Suggests: xfs | xserver"
  * switch to source format 3.0 (quilt)
  * use debhelper7 and clean up rules and other files
  * add debian/watch file.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 28 Dec 2009 11:10:33 +0900

xfonts-efont-unicode (0.4.0-5) unstable; urgency=low

  * New maintainer upload.
  * Add binary-arch target to debian/rules. (Closes: #395656)
  * Fix typo in the description. (Closes: #231367)
  * Remove Conflicts/Replaces xfonts-efonts-unicode because this
    obsolete package no longer exist on any supported distributions.

 -- Kenshi Muto <kmuto@debian.org>  Thu, 19 Jun 2008 09:01:46 +0900

xfonts-efont-unicode (0.4.0-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Move fonts to to /usr/share/fonts/X11.
    Closes: #362371, #362376

 -- Andreas Barth <aba@not.so.argh.org>  Tue, 12 Dec 2006 14:51:16 +0000

xfonts-efont-unicode (0.4.0-4) unstable; urgency=low

  * Added Build-Depends-Indep: gawk (Closes: #162564).

 -- Tomohiro KUBOTA <kubota@debian.org>  Sat, 28 Sep 2002 19:03:25 +0900

xfonts-efont-unicode (0.4.0-3) unstable; urgency=low

  * Apply Mike Fabian's patch
    http://mail.nl.linux.org/linux-utf8/2001-11/msg00133.html
    so that this font can be used from UTF-8 xterm.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sun,  4 Aug 2002 12:10:05 +0900

xfonts-efont-unicode (0.4.0-2) unstable; urgency=low

  * Added xutils to Build-Depends-Indep: (Closes: #148617).

 -- Tomohiro KUBOTA <kubota@debian.org>  Sat,  1 Jun 2002 12:38:47 +0900

xfonts-efont-unicode (0.4.0-1) unstable; urgency=low

  * Package name changed.

 -- Tomohiro KUBOTA <kubota@debian.org>  Tue,  7 May 2002 22:05:36 +0900

xfonts-efonts-unicode (0.4.0-1) unstable; urgency=low

  * Initial Release.

 -- Tomohiro KUBOTA <kubota@debian.org>  Thu, 25 Apr 2002 15:55:58 +0900
