=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_clean:
	-@$(MAKE) clean
	-@rm -rf config.status config.cache config.log Makefile
	-@find $(CURDIR)/tools -mindepth 1 -name "*.in" -prune -o -name ChangeLog -o \
	   -exec rm {} \;
	dh_clean

override_dh_builddeb:
	dh_builddeb -- -Zxz -Sextreme -z9
